> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.rocketfi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get delegate traders

> ### Parameters

| Parameter | Required | Type | Description |
| --------- | -------- | ---- | ----------- |
| account | yes | string (hex) | Ethereum-style account address for the sub-account context. |

### Response fields

| Parameter | Required | Type | Description |
| --------- | -------- | ---- | ----------- |
| `delegates` | yes | object[] | — |
| `delegates[].address` | yes | string (hex) | — |
| `delegates[].expiryMs` | no | integer (int64) | — |
| `delegates[].isWebClient` | yes | boolean | — |
| `delegates[].name` | no | string \| null | — |

### Response example

A sample **`200`** JSON body is attached to this operation as an OpenAPI **example** (Mintlify shows it in the example panel, similar to other exchange API docs).



## OpenAPI

````yaml /specs/openapi.json get /delegate-traders
openapi: 3.1.0
info:
  title: RocketFi REST API
  description: REST API for Rocket Chain / RocketFi integrations.
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://beta.rocketfi.io
    description: Beta
  - url: https://testnet.rocket-cluster-1.com
    description: Testnet
  - url: https://devnet.rocket-cluster-1.com
    description: Devnet
security: []
tags:
  - name: Service
    description: Health and availability.
  - name: Market data
    description: Instruments, candles, fees, leverage, and funding data.
  - name: Account
    description: Account nonce, fees, collateral, positions, and orders.
  - name: Trading
    description: Transactions and order activity.
  - name: Vault and bridge
    description: Vaults, history, and bridge events.
  - name: Faucet (testnet)
    description: Testnet faucet for development.
paths:
  /delegate-traders:
    get:
      tags:
        - Account
      summary: Get delegate traders
      description: >-
        ### Parameters


        | Parameter | Required | Type | Description |

        | --------- | -------- | ---- | ----------- |

        | account | yes | string (hex) | Ethereum-style account address for the
        sub-account context. |


        ### Response fields


        | Parameter | Required | Type | Description |

        | --------- | -------- | ---- | ----------- |

        | `delegates` | yes | object[] | — |

        | `delegates[].address` | yes | string (hex) | — |

        | `delegates[].expiryMs` | no | integer (int64) | — |

        | `delegates[].isWebClient` | yes | boolean | — |

        | `delegates[].name` | no | string \| null | — |


        ### Response example


        A sample **`200`** JSON body is attached to this operation as an OpenAPI
        **example** (Mintlify shows it in the example panel, similar to other
        exchange API docs).
      operationId: get_delegate_traders
      parameters:
        - name: account
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/AccountAddress'
          description: Ethereum-style account address for the sub-account context.
      responses:
        '200':
          description: All delegate traders for an account
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDelegateTradersResponse'
              example:
                delegates: []
components:
  schemas:
    AccountAddress:
      type: string
      format: hex
      description: An Ethereum-style account address (20 bytes).
    GetDelegateTradersResponse:
      type: object
      required:
        - delegates
      properties:
        delegates:
          type: array
          items:
            $ref: '#/components/schemas/DelegateTraderView'
    DelegateTraderView:
      type: object
      required:
        - address
        - isWebClient
      properties:
        address:
          type: string
          format: hex
        expiryMs:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/u64'
        isWebClient:
          type: boolean
        name:
          type:
            - string
            - 'null'
    u64:
      type: integer
      format: int64
      minimum: 0

````